Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able
Interface AblePropertyChangeManager

All Superinterfaces:
  java.io.Serializable

All Known Subinterfaces:
  AbleAgent, AbleBean, AbleDataSink, AbleDataSource

All Known Implementing Classes:
  AbleAbstractImport, AbleDBExport, AbleDefaultAgent, AbleExport, AbleObject

public interface AblePropertyChangeManager
extends java.io.Serializable

The AblePropertyChangeManager interface provides the methods needed to add and remove PropertyChangeListener objects or AblePropertyConnection objects which are serilizable property change listeners. Both are used to notify registered listeners of property change events.

Method Summary
`void` | `addPropertyChangeListener(java.beans.PropertyChangeListener theListener)` Add a property change listener to this bean.
`void` | `addPropertyConnection(AblePropertyConnection thePropertyConnection)` Adds a property connection.
`java.beans.PropertyChangeListener[]` | `getPropertyChangeListeners()` Get the set of registered property change listeners from this bean.
`AblePropertyConnectionManager` | `getPropertyConnectionManager()` Returns this bean's property connection manager.
`void` | `removeAllPropertyConnections()` Removes all property connections.
`void` | `removePropertyChangeListener(java.beans.PropertyChangeListener theListener)` Remove a property change listener from this bean.
`void` | `removePropertyConnection(AblePropertyConnection thePropertyConnection)` Removes a property connection.

Method Detail

### addPropertyConnection

    public void addPropertyConnection(AblePropertyConnection thePropertyConnection)
                               throws AbleException

  Adds a property connection.

  Parameters:
    `thePropertyConnection` - The ABLE property connection object representing a bean's interest in one of the implementor's properties.
  Throws:
    `AbleException` - If an error occurs.

### removePropertyConnection

    public void removePropertyConnection(AblePropertyConnection thePropertyConnection)
                                  throws AbleException

  Removes a property connection.

  Parameters:
    `thePropertyConnection` - The ABLE property connection object to remove.
  Throws:
    `AbleException` - If an error occurs.

### removeAllPropertyConnections

    public void removeAllPropertyConnections()
                                      throws AbleException

  Removes all property connections.

  Throws:
    `AbleException` - If an error occurs.

### getPropertyConnectionManager

    public AblePropertyConnectionManager getPropertyConnectionManager()

  Returns this bean's property connection manager.

  Returns:
    The ABLE property connection manager for this bean.

### addPropertyChangeListener

    public void addPropertyChangeListener(java.beans.PropertyChangeListener theListener)

  Add a property change listener to this bean.

  Parameters:
    `theListener` - An object interested in this bean's property changes.

### removePropertyChangeListener

    public void removePropertyChangeListener(java.beans.PropertyChangeListener theListener)

  Remove a property change listener from this bean.

  Parameters:
    `theListener` - The object no longer interested in this bean's properties.

### getPropertyChangeListeners

    public java.beans.PropertyChangeListener[] getPropertyChangeListeners()

  Get the set of registered property change listeners from this bean.

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005